Index: trunk/SRC/ToBeReviewed/WIDGET/xxx.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/xxx.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/xxx.pro	(revision 150)
@@ -1,42 +1,2 @@
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
-;+
-; NAME:xxx
-;
-; PURPOSE:un maximum de possibilites avec un minimum de clics
-;
-; CATEGORY:super widget
-;
-; CALLING SEQUENCE:xxx
-; 
-; INPUTS:none
-;
-; KEYWORD PARAMETERS:
-;
-;      /SEPARATE: pour separer la partie boutons de la partie dessin
-;      en 2 fenetres. Utile pour les petits ecrans, mais attention
-;      peut saturer la memoire video de certains Tx un peu vetustes.
-;
-;      RESTORE='toto.dat' ou toto.dat est un fichier cree lors d''une
-;      precedente utilisation de xxx grace a la commande "Widget" du
-;      menu "save as".
-;
-; OUTPUTS:
-;
-; COMMON BLOCKS:common.pro
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
-;
-;-
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
 
 PRO xxx_event, event
@@ -48,5 +8,5 @@
 ;------------------------------------------------------------
 ;    = widget_info(event.top,find_by_uname = '')
-; quel est le type d''evenement?
+; What is the type of evenment ?
 ;   if event.id EQ 622 then help,  event,  /struct
    widget_control, event.id, get_uvalue=uval
@@ -55,12 +15,12 @@
 ;help,  event, /struct
 ;help, uval , /struct
-; case sur le type d''evenement
+; case on the type of evenment
    widget_control, event.top, get_uvalue = top_uvalue
-; si on a active le mot cles separate a l''appelle de xxx
+; If we activate the keyword separate at the call of xxx
    if size(top_uvalue, /type) EQ 3 then begin
       event.top = top_uvalue
       widget_control, event.top, get_uvalue = top_uvalue
    endif
-; on tue le petit widget cree par notice.pro si il existe
+; we delete the small widget created by notice.pro if it exists
    noticebase = extractatt(top_uvalue, 'noticebase')
    if noticebase NE 0 then BEGIN
@@ -128,4 +88,52 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
+;+
+;
+; @file_comments
+; A maximum of possibilities with a minimum of clics
+;
+; @categories
+; widget
+; 
+; @param DATAFILENAME
+;
+;
+; @param IDLFILE
+;
+;
+; @param ARGSPRO
+;
+;
+; @keyword SEPARATE
+; To separate the button part and the drawing part in 2 windows.
+; Useful for small screens, but be careful to do not saturate the 
+; video memory of some antiquated Tx.
+;
+; @keyword RESTORE
+; 'toto.dat' or toto.dat is a file created at the time of a precedent 
+; use of xxx thanks to the command "Widget" of the menu "save as".
+; 
+; @keyword _EXTRA
+; Used to pass your keywords
+;
+; @uses
+; common.pro
+;
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
+;
+; @version
+; $Id$
+;
+; @todo
+; seb: documenter le reste des keywords
+;
+;-
+;------------------------------------------------------------
+;------------------------------------------------------------
+;------------------------------------------------------------
+;------------------------------------------------------------
+;------------------------------------------------------------
+;------------------------------------------------------------
 PRO xxx, datafilename, idlfile, argspro, CALLERWIDID = CallerWidId $
          , REDRAW = redraw, SEPARATE = separate, UVALUE = uvalue $
@@ -154,5 +162,5 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-; liste des fichiers que l''on veut regarder
+; list of files we want to look at
 ;
   if keyword_set(uvalue) then BEGIN 
@@ -368,10 +376,9 @@
 ;------------------------------------------------------------
   if keyword_set(uvalue) then BEGIN ;
-; on recopie le pointeur uvalue dans top_uvalue.
-; Attention, il faut completement redefinir top_uvalue a partir des
-; variables pointees par uvalue. Sinon si on fait simplement
-; top_uvalue = uvalue, qd on detruit par uvalue et les variables
-; surlesquelles il pointe on detruit aussi les variables sur
-; lesquelles pointent top_uvalue.
+; We recopy the pointer uvalue in top_uvalue.
+; Beware, we have to redefine completely top_value from variables 
+; pointed by uvalue. Otherwise, if we simply do top_value = uvalue, 
+; when we delete by uvalue and variables on which it point, we 
+; also delete variables on which point top_value.
     case 1 of
       keyword_set(redraw):BEGIN
@@ -380,7 +387,7 @@
 ; we find homedir
         homedir = isadirectory(io = homedir, title = 'Bad definition of homedir')
-; on recupere la liste des instructions
+; We recuperae the list of instructions
         globalcommand = extractatt(top_uvalue, 'globalcommand')
-; on complete par le premiere et les dernieres lignes du programme
+; We complete by first and last lines of the program
         createpro, globalcommand, filename = myuniquetmpdir + 'xxx2ps.pro' $
                    , KWDLIST = ', NOERASE = noerase, POSTSCRIPT = postscript' $
@@ -395,7 +402,7 @@
         wset, win
         tv, image, /true
-; etat des widgets
+; widgets's state
         updatewidget, base
-; menage
+; 
       END
       ELSE:BEGIN
@@ -416,5 +423,5 @@
         for i = 0, nbredessin-1 do *(*top_uvalue[1, 28])[i] = *(*uvalue[1, 28])[i] 
         widget_control, base, set_uvalue = top_uvalue
-; copie l''ecran du widget de uvalue dans celui de top_uvalue
+; Copy the screen of the widget of uvalue in top_value's one
         if keyword_set(CallerWidId)  then begin
           widget_control, extractatt(uvalue, 'graphid'), get_value = win
@@ -431,10 +438,10 @@
     *top_uvalue[1, findline(top_uvalue, 'graphid')] = graphid
 ;
-  ENDIF ELSE BEGIN
-; sinon on va definit tous les elements que l''on acroche au widget
-; grace a la top_uvalue qui est un tableau de pointeurs a 2 colonnes:
-; les noms et des variables
-; on initialie tous ces elements.
-; variables concernant le widget ds sa generalite
+ENDIF ELSE BEGIN
+; Otherwise we will define all elements we will hook at the widget 
+; thanks to the top_value which is a pointer array with 2 
+; columns: names and variables. 
+; We initialize all these elements.
+; Variables concerning the widget in its generality.
     if NOT keyword_set(ex)  then ex = {nothing:0}
 ; variables se rapportant aux differents fichiers que l''on peut lire
@@ -442,7 +449,7 @@
 ;      
     
-; creation du pointeur que l''on va attache au widget.
+; creation of the pointer we will hook at the widget.
     top_uvalue = ptrarr(2, 29, /allocate_heap)
-; variables se rapportant au widget en general
+; variables refering to the widget
     *top_uvalue[0, 0] = 'options' & *top_uvalue[1, 0] = options
     *top_uvalue[0, 1] = 'smallin' & *top_uvalue[1, 1] = smallin
@@ -458,5 +465,5 @@
     *top_uvalue[0, 11] = 'noticebase' & *top_uvalue[1, 11] = 0l
     *top_uvalue[0, 12] = 'extra' & *top_uvalue[1, 12] = ex
-; variables se rapportant aux differents fichiers que l''on peut lire
+; variables refering to different files we can read
     *top_uvalue[0, 13] = 'currentfile' & *top_uvalue[1, 13] = currentfile
     *top_uvalue[0, 14] = 'filelist' & *top_uvalue[1, 14] = filelist
@@ -464,5 +471,5 @@
     *top_uvalue[0, 16] = 'readparameters' & *top_uvalue[1, 16] = readparameters
     *top_uvalue[0, 17] = 'meshparameters' & *top_uvalue[1, 17] = meshparameters
-; variables se rapportant aux differents dessins que l''on peut faire
+; variables refering to different drawing we can do
     *top_uvalue[0, 18] = 'penvs' & *top_uvalue[1, 18] = replicate(!p, nbredessin)
     *top_uvalue[0, 19] = 'xenvs' & *top_uvalue[1, 19] = replicate(!x, nbredessin)
